## ros-kinetic-novatel-span-driver 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(novatel_span_driver)

find_package(catkin REQUIRED COMPONENTS roslaunch roslint rostest)

catkin_python_setup()

catkin_package()


install(PROGRAMS scripts/driver
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

roslint_python()


if(CATKIN_ENABLE_TESTING)
  add_rostest(test/propak6-basic-fix.test)
  add_rostest(test/propak6-ins-ppp.test)

  roslaunch_add_file_check(launch/example.launch)

  roslint_add_test()
endif()

=== debian/changelog ===
ros-kinetic-novatel-span-driver (1.1.0-0xenial) xenial; urgency=high

  * Merge pull request #27 <https://github.com/ros-drivers/novatel_span_driver/issues/27> from michaelhsmart/ellipsoidal_from_orthometric
    Fix orthometric to ellipsoidal conversion
    Merged based on recommendations from @mikepurvis and @icolwell.
  * Deleted extra ')' (#31 <https://github.com/ros-drivers/novatel_span_driver/issues/31>)
  * Fix ellipsoidal altitude to use correct conversion from orthometric + undulation.
  * Merge pull request #10 <https://github.com/ros-drivers/novatel_span_driver/issues/10> from prclibo/fix_rpy
    possibly fixed rpy interpretation
  * Merge pull request #20 <https://github.com/ros-drivers/novatel_span_driver/issues/20> from astuff/master
    Adding new maintainers.
  * Latch navsat/origin so that it is available to nodes that start after the NovAtel driver (#12 <https://github.com/ros-drivers/novatel_span_driver/issues/12>)
  * Fix bad == when publishing IMU message (#19 <https://github.com/ros-drivers/novatel_span_driver/issues/19>)
  * Merge pull request #9 <https://github.com/ros-drivers/novatel_span_driver/issues/9> from lemiant/patch-1
    Update diagnostics.py
    diagnostic_msgs has not been imported, must use DiagnosticStatus directly.
  * Contributors: AnkilP, Joshua Whitley, Michael Smart, Mike Purvis, P. J. Reed, lemiant, libo24

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Thu, 26 Apr 2018 05:00:00 -0000

ros-kinetic-novatel-span-driver (1.0.0-0xenial) xenial; urgency=high

  * Add capture from INS PPP, default value for IMU rate, fix test, add docs to example launcher.
  * Throttle wheelvelocity commands to 1Hz, as recommended by Novatel.
  * Fix velx/y mixup, add diagnostic publisher.
  * BESTPOSB -> BESTPOS, add diagnostic constants and shim class.
  * Treat altitude as positive-up.
  * Update messages to include header, fix header to match documentation.
  * Add wheel velocity handler.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Tue, 25 Nov 2014 06:00:00 -0000

ros-kinetic-novatel-span-driver (0.2.0-0xenial) xenial; urgency=high

  * Re-work the publisher class.
  * Add a pcap for a SPAN fix.
  * Tweaks to topic names.
  * Add working rostest, fixes from pepify.
  * Add roslaunch file check for example launcher.
  * Add roslint test.
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Wed, 29 Oct 2014 05:00:00 -0000

ros-kinetic-novatel-span-driver (0.1.0-0xenial) xenial; urgency=high

  * Consolidation and reorganization of novatelcentral driver prepared by NovAtel
    and published here: https://github.com/NovAtel-inc/rosnovatel
  * Contributors: Mike Purvis

 -- Mike Purvis <mpurvis@clearpathrobotics.com>  Fri, 24 Oct 2014 05:00:00 -0000

=== debian/control ===
Source: ros-kinetic-novatel-span-driver
Section: misc
Priority: extra
Maintainer: Mike Purvis <mpurvis@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), python-impacket, python-pcapy, ros-kinetic-catkin, ros-kinetic-roslaunch, ros-kinetic-roslint, ros-kinetic-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-novatel-span-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-serial, ros-kinetic-diagnostic-msgs, ros-kinetic-diagnostic-updater, ros-kinetic-geodesy, ros-kinetic-novatel-msgs, ros-kinetic-rospy, ros-kinetic-sensor-msgs, ros-kinetic-std-msgs, ros-kinetic-tf
Description: Python driver for NovAtel SPAN devices.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-novatel-span-driver//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
